### Method

# Fwupd Client refresh_remote

since: 2.0.0

#### Declaration [src]

    gboolean
    fwupd_client_refresh_remote (
      FwupdClient* self,
      FwupdRemote* remote,
      FwupdClientDownloadFlags download_flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Refreshes a remote by downloading new metadata.

Available since: 2.0.0

#### Parameters

`remote`

  Type: `FwupdRemote`

  A `FwupdRemote`.

  The data is owned by the caller of the method.

`download_flags`

  Type: `FwupdClientDownloadFlags`

  Download flags, e.g. `FWUPD_CLIENT_DOWNLOAD_FLAG_ONLY_P2P`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.